Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


  Show Posts
Pages: [1] 2 3 ... 9
1  Liberty Unleashed / Liberty Unleashed Chat / DEV POLL: Do you still use XP? on: July 09, 2014, 12:43:34 am
In April, Microsoft announced that Windows XP had reached the end of its life and would no longer receive support, nor would it continue to be updated to patch vulnerabilities and stability issues.

Windows XP was first released in August 2001 and is now nearly 13 years old. With that, XP is simply too old to continue to support. Therefore, the VC:MP and LU development teams are considering dropping support for Windows XP due to the benefits of doing so.

By dropping XP support, we can use more recently released compilers and development toolkits that support various optimizations that would have performance benefits. Moreover, because no development is done on Windows XP, and is now largely done on Windows 7 or Windows 8/8.1 machines, we will be able to better diagnose and resolve issues that users may be having. We can also use newer APIs available in Windows Vista and above that do not exist in XP.

These are not the only reasons for us to drop support for XP, but they are significant reasons. However, we would like to make sure that the community we're developing for will not be largely affected by such a move; if many players are still on Windows XP, we will indefinitely postpone any plans to phase out support for it. Otherwise, we will continue to do so.

To help us better understand how many players would be affected by the withdrawal of support for Windows XP, please answer the poll above.
2  Liberty Unleashed / Liberty Unleashed Chat / Re: whole lu hacked on: May 01, 2014, 10:32:29 pm
I'll never understand why you would deface servers en masse to convince developers to release an update. If anything, it shows hilarious impatience and actually gives us even less of a motivation.

When the VC:MP forum was defaced and wiped and the beta was leaked, it became a huge waste of our time to investigate and resolve. Large amounts of resources, like scripts and tutorials and archives of great community works, were erased, and because the forum hadn't been set up to backup the database regularly, all of this information is gone forever. Because someone wanted to get us to release 0.4 earlier.

So I kindly ask, don't freaking vandalize the community to get us to help the community. VRocker's responses provide a grand amount of insight as to why; I figured I'd share my own two cents.

As for this exploit in particular, I'd say there's a pretty easy solution, which might also add some extra functionality: disable CallServerFunc entirely. Replace it with a function like SendServerMessage which sends the server a certain message, determined by the scripter, which triggers a server-side callback onClientServerMessage. Allow the server to determine what functions to call based on the message.

This would disable arbitrary server-side code execution on the client.
3  Liberty Unleashed / Support / Re: A problem on: December 23, 2013, 06:11:05 pm
I really don't understand what "buffering" is supposed to mean. Are you experiencing network lag or something similar? Is your FPS dropping and spiking at random intervals?

If you really don't have any other choice, grab a phone camera or something and record the screen as you play.
4  News and Content / Updates/Changes / Re: Update 0.1.0.14 (09/11/2013) on: December 23, 2013, 06:08:47 pm
Although this is  a fake memory address, because i don't have a time to give you a real ( you can check them on your own, with tool that can dig up memory addresses. ), this above explains why Steam as well as android versions of GTA3 can't work with Current Liberty Unleashed Modification.

Just to add to why LU can't easily be ported to Android, Android and Windows, and x86/x64 and ARM are completely different platforms. LU is written in Visual C++ for Windows, which has totally different limitations and tools than Java on Android.

Simply put, it would be like programming something written entirely in English. Now you need to translate it into a local dialect of Mandarin, and some symbols you need are gone, and others have entirely different representations. Your only option would be to completely rewrite it.
5  Off Topic / General Chat / Re: MESI: Survival, help the LU devs create a virtual reality game on: September 06, 2013, 06:54:50 am
I actually just made a Twitter account a few hours ago to follow some personal friends. Unfortunately I got an error after registration and now I can't even log in even though the profile was created. Once everything is in working order I'll check this out.
6  Off Topic / Spam / dddd on: August 19, 2013, 02:34:26 pm
?_?
7  Scripting / Module Releases / Re: Juppi's MySQL Module (lu_mysql) on: August 19, 2013, 01:34:43 am
Plugin updated.



Windows users do not need to re-download the module. Linux users who are using libmysqlclient16 (MySQL 5.1) and/or have not had any issues with the module do not need to update.

The problem with Debian 7 is that it was updated to use the MySQL 5.5 (libmysqlclient18) libraries instead of libmysqlclient16 as was done with earlier builds, and as a result, MySQL functions could not be linked at runtime.

A MySQL 5.5 version has been added for download. Anyone using MySQL 5.5 on Linux and has encountered issues loading the module is encouraged to use it.

MySQL 5.5 binary (Linux x86)
https://lu-modules.googlecode.com/files/lu_mysql55.linux.zip
8  News and Content / Liberty Unleashed News / Re: LU and VC:MP join forces! on: August 18, 2013, 12:45:53 am
Isnt that the guy who has failed to release a new VC:MP client for how much, two years now?
And aren't you the guy who keeps lecturing people when it's not even neccessary?
I'm not breaking any rules, my post has nothing but valid and proven argument. And please, don't bring your personal grudge against me from Argonath over here :)

Your problem isn't that people hold grudges against you for no reason. Your problem is that you're a douche. Even your "valid and proven argument" that "VC:MP hasn't had a new client released in two years" is essentially wrong given that it's already completed one public beta and is in the middle of a perpetual beta right now.
9  Scripting / Script Releases / Re: Example Of Gui on: July 28, 2013, 12:22:15 am
Looks good aside from the invalid interval in the first timer (interval: 0), but please read this:
http://vcmp.liberty-unleashed.co.uk/forum/index.php?topic=1245.msg7783#msg7783

This would also be better off as a client message than a persistent GUI entity.
10  Scripting / Module Releases / Re: Improved Hashing Module on: July 23, 2013, 04:19:33 am
SHA1 has been removed from the "acceptable for password hashing" list due to faults in the algorithm that have made it subject to relatively simpler cracking and collision attacks. While these attacks are still expensive to carry out (261 operations for a collision according to latest estimates, which comes at a cost at $2.77mil), it is still highly recommended to avoid using hashing algorithms with existing collision attacks.

TL;DR
It doesn't matter if you use SHA-1 or not since no one is going to spend millions of dollars to crack your server's hashes, but you should still use something more secure anyways.

See more: https://en.wikipedia.org/wiki/SHA-1#Attacks
11  Scripting / Module Releases / Re: Juppi's MySQL Module (lu_mysql) on: July 21, 2013, 06:01:07 pm
compiled in VS2008 Release build using the source code from Thijns dropbox link since i assume thats the most up to date source.

As long as it was made on or after 19 Nov. 2011, it should be fine. Anything before that is susceptible to errors when trying to select multiple rows.
12  Off Topic / Spam / welcome to you have come to zombocom on: July 09, 2013, 10:03:48 pm
13  Scripting / Module Releases / Improved Hashing Module on: January 06, 2013, 08:20:08 am
Stormeus' Improved Hashing ( lu_hashing2 )

This module is an improvement and a variant of Liberty Unleashed's lu_hashing module, which ships with the server. This version offers a wider variety of hashing functions which are more secure, while still offering backward-compatibility by allowing the use of the SHA1 and (insecure!!) MD5 algorithms.

Functions
Acceptable for password hashing and storage
  • SHA224( szString )
  • SHA256( szString )
  • SHA384( szString )
  • SHA512( szString )
  • RIPEMD128( szString )
  • RIPEMD160( szString )
  • RIPEMD256( szString )
  • RIPEMD320( szString )
  • WHIRLPOOL( szString )
NOT acceptable for password hashing and storage.
  • SHA1( szString )

    Algorithmically weak and contains weaknesses that make it relatively easy to crack. This function is only provided for backwards-compatibility. If you are creating a new script, DO NOT USE THIS.

  • MD5( szString )

    MD5 has flaws in its algorithm that allows it to be broken relatively easily. This function is only provided for backwards-compatibility. If you are creating a new script, DO NOT USE THIS.

  • base64_encode( szString )
    base64_decode( szString )


    base64 is easily encoded and decoded. Storing passwords with base64 is not recommended ever because it is extremely easy to reverse.

Installation
Extract lu_hashing2.dll/so to your Modules folder. Place this line of code somewhere in onScriptLoad:
     LoadModule( "lu_hashing2" );

Download
Windows binary [.dll]
Linux binary [.so]
Source code

Test script [.nut]

Screenshot
14  Scripting / Module Releases / Re: Juppi's MySQL Module (lu_mysql) on: September 08, 2012, 06:00:03 pm
See if these are any good:
http://code.google.com/p/lu-modules/downloads/list
15  Scripting / Script Help / Re: Help with object placement on: July 31, 2012, 08:28:50 pm
The angles used in the IPL are quaternions. The angles used by LU are vectors. I don't know much else about that.

* stormeus cues for a dev to explain conversion and shiz
Pages: [1] 2 3 ... 9
© Liberty Unleashed Team.